Mac App Store

Mac App Store is the simplest way to find and download apps for your Mac.

To download Legacy Comics 1 from the Mac App Store, you need a Mac with OS X 10.6.6 or later. Learn More.

Legacy Comics 1

By MOALAB LLC

Open the Mac App Store to buy and download apps.

Description

Legacy Comics 1

Relive the golden days of comic books with Legacy Comics 1. For people who are interested in comics, original super heroes, fighting the Axis Powers, and history of comics.
Legacy Comics 1 contains:-
1- The Flag. Originally published in 1941.
2- Stardust the Super Wizard. Originally published in 1939.
3- Over 250 pages of comics.

Screenshots

Screenshot 1
Screenshot 2
Screenshot 3

Customer Reviews

interesting pre-WWII comics

This is a collection of two comics, The Flag and The Stardust, from the late 1930s and early 1940s. The Flag is especially interesting, and I haven't run across it before. It's a comic written by morons for morons, yet it is fascinating. The main character, The Flag, is adopted by a flag-maker named Old Glory. One night, the ghosts of George Washington and Abraham Lincoln give The Flag super-powers, so he can combat America's enemies. Old Glory makes him a uniform out of flags, then he zooms off like a Superman clone, leaving a jet trail of stars and stripes. Soon, he discovers that America is filled with Nazi spies, etc. It's as bad as it sounds, and as interesting.

The other comic is Fletcher Hanks' Stardust, which is super fascinating but more widely known. Fun stuff, violent, weird, and creative as hell.

Nicely scanned. The only problems were that one of The Flag comics was repeated, and some of the frames were differently sized. I hope someone offers more of this kind of thing in the future. Hard-copies of this kind of thing are way overpriced.

Legacy Comics 1
View in Mac App Store
  • $4.99
  • Category: Entertainment
  • Released:
  • Version: 1
  • Size: 150 MB
  • Language: English
  • Seller:
Rated 9+ for the following:
  • Infrequent/Mild Mature/Suggestive Themes
  • Infrequent/Mild Cartoon or Fantasy Violence

Compatibility: OS X 10.6.6 or later, 64-bit processor

Customer Ratings

We have not received enough ratings to display an average for the current version of this application.